<template>
  <div class="box">
    <ul>
      <li
        style="width: 66px"
        @click="changeview(item)"
        v-for="item in itemsOne"
      >
        <div class="divli">
          <div :class="item.class" class="backimge2"></div>
        </div>
        <div class="div_li">{{ item.name }}</div>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  data() {
    return {
      isRuler: false,
      itemsOne: [
        {
          id: "1",
          name: "分屏",
          class: "b1",
        },
        {
          id: "2",
          name: "二维",
          class: "b2",
        },
        {
          id: "3",
          name: "三维",
          class: "b3",
        },
        {
          id: "4",
          name: "全图",
          class: "b4",
        },
        {
          id: "5",
          name: "放大",
          class: "b5",
        },
        {
          id: "6",
          name: "缩小",
          class: "b6",
        },
        {
          id: "7",
          name: "比例尺",
          class: "b7",
        },
        {
          id: "8",
          name: "指北针",
          class: "b8",
        },
      ],
    };
  },
  methods: {
    changeview(res) {
      switch (res.id) {
        case "1":
          this.$bus.$emit("changemap", res.name);
          break;
        case "2":
          this.$bus.$emit("changemap", res.name);
          break;
        case "3":
          this.$bus.$emit("changemap", res.name);
          break;
        case "4":
          window.sgworld.Navigate.jumpTo({
            //跳转视角
            destination: new Cesium.Cartesian3.fromDegrees(110, 32, 8000000),
          });
          break;
        case "5":
          window.sgworld.Navigate.zoomIn();
          break;
        case "6":
          window.sgworld.Navigate.zoomOut();
          break;
        case "7":
          this.isRuler = !this.isRuler;
          window.sgworld.navControl("enableCompass", this.isRuler);
          break;
      }
      // this.$bus.$emit("changetool", res_val);
    },
  },
};
</script>

<style>
.box {
  width: 100%;
  height: 100%;
  position: relative;
}
.box li {
  list-style: none;
  float: left;
  height: 60px;
  text-align: center;
  margin: 2px;
  position: relative;
  cursor: pointer;
  margin-top: 5px;
}
.box ul {
  margin: 0px;
}
.b1 {
  background: url("../../assets/img/synthesis/圆角矩形 12 拷贝 3.png") no-repeat
    center;
}
.b2 {
  background: url("../../assets/img/synthesis/图层 10 拷贝.png") no-repeat
    center;
}
.b3 {
  background: url("../../assets/img/synthesis/图层 11 拷贝.png") no-repeat
    center;
}
.b4 {
  background: url("../../assets/img/synthesis/图层 12 拷贝 2.png") no-repeat
    center;
}
.b5 {
  background: url("../../assets/img/synthesis/圆角矩形 5 拷贝 2.png") no-repeat
    center;
}
.b6 {
  background: url("../../assets/img/synthesis/圆角矩形 5 拷贝 3.png") no-repeat
    center;
}
.b7 {
  background: url("../../assets/img/synthesis/矩形 9.png") no-repeat center;
}

.b8 {
  background: url("../../assets/img/synthesis/椭圆 4.png") no-repeat center;
}
.backimge2 {
  width: 30px;
  height: 30px;
  margin-left: 20px;
  position: absolute;
  background-size: 100% 100%;
}
.divli {
  width: 100%;
  height: 50%;
  position: relative;
}
</style>
